Bug 1025981 - [abrt] meld-1.8.2-1.fc19: diffutil.py:250:get_chunk:IndexError: list index out of range
[abrt] meld-1.8.2-1.fc19: diffutil.py:250:get_chunk:IndexError: list index ou...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:885dee32848a1d5b8c92b813339...
:
: 1033851 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 14:29 EDT by ZiN
Modified: 2015-02-17 14:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:00:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (535 bytes, text/plain)
2013-11-02 14:29 EDT, ZiN
no flags Details
File: environ (4.21 KB, text/plain)
2013-11-02 14:29 EDT, ZiN
no flags Details

  None (edit)
Description ZiN 2013-11-02 14:29:42 EDT
Description of problem:
Every time when I compare some files it happens.

Version-Release number of selected component:
meld-1.8.2-1.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        python /usr/bin/meld /home/eugene/.wine/system.reg /home/eugene/.wine_itunes/system.reg
executable:     /usr/bin/meld
kernel:         3.11.6-200.fc19.i686.PAE
runlevel:       N 5
type:           Python
uid:            1001

Truncated backtrace:
diffutil.py:250:get_chunk:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/share/meld/meld/filediff.py", line 500, in on_current_diff_changed
    chunk0 = self.linediffer.get_chunk(chunk_id, 1, 0)
  File "/usr/share/meld/meld/diffutil.py", line 250, in get_chunk
    chunk = self._merge_cache[index][sequence]
IndexError: list index out of range

Local variables in innermost frame:
from_pane: 1
index: 0
self: <Differ object at 0x9bf2cfc (meld+diffutil+Differ at 0x9cb0fc0)>
to_pane: 0
sequence: 0

Potential duplicate: bug 981013
Comment 1 ZiN 2013-11-02 14:29:47 EDT
Created attachment 818610 [details]
File: backtrace
Comment 2 ZiN 2013-11-02 14:29:50 EDT
Created attachment 818611 [details]
File: environ
Comment 3 Dominic Hopf 2014-07-02 20:45:16 EDT
*** Bug 1033851 has been marked as a duplicate of this bug. ***
Comment 4 Galik 2014-07-03 01:08:18 EDT
Another user experienced a similar problem:

loaded two large files into meld (12MiB)  after comparison was calculated, selected a new (12MiB) file in the left window. As nothing appeared to be happening I placed the curser in the new filename in the left window and pressed RETURN to stimulate the new file to load.

Then this crash happened.

reporter:       libreport-2.2.2
cmdline:        /usr/bin/python /usr/bin/meld unit-test-katina-stats.log unit-test-katina-stats-fix-02.log
executable:     /usr/bin/meld
kernel:         3.14.8-200.fc20.x86_64
package:        meld-1.8.5-1.fc20
reason:         diffutil.py:250:get_chunk:IndexError: list index out of range
runlevel:       N 5
type:           Python
uid:            1000
Comment 5 Fedora End Of Life 2015-01-09 15:26:04 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 14:00:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.